#ifndef _FTL_FILTERS_COLOURS_HPP_
#define _FTL_FILTERS_COLOURS_HPP_

#include <ftl/filters/filter.hpp>

namespace ftl {
namespace filters {

class ColourChannels : public ftl::Filter {
    public:
    explicit ColourChannels(nlohmann::json &config);
    ~ColourChannels();

    void filter(ftl::rgbd::Frame &frame, ftl::rgbd::Source *src, cudaStream_t stream) override;

    private:
    cv::cuda::GpuMat temp_;
};

}
}

#endif // _FTL_FILTERS_COLOURS_HPP_
